Role Definitions - Delete
Deletes a custom role definition.
DELETE {vaultBaseUrl}/{scope}/providers/Microsoft.Authorization/roleDefinitions/{roleDefinitionName}?api-version=7.3
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
role
|
path | True |
|
The name (GUID) of the role definition to delete. |
|
scope
|
path | True |
|
The scope of the role definition to delete. Managed HSM only supports '/'. |
|
vault
|
path | True |
|
The vault name, for example https://myvault.vault.azure.net. |
|
api-version
|
query | True |
|
Client API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK - Returns information about the role definition that was deleted. |
|
| Other Status Codes |
Key Vault error response describing why the operation failed. |
Examples
DeleteRoleDefinition
Sample Request
DELETE https://myvault.vault.azure.net////providers/Microsoft.Authorization/roleDefinitions/00000000-0000-0000-0000-000000000000?api-version=7.3
Sample Response
{
"properties": {
"roleName": "My custom role",
"type": "CustomRole",
"description": "Role description",
"assignableScopes": [
"/"
],
"permissions": [
{
"dataActions": [
"Microsoft.KeyVault/managedHsm/keys/sign/action"
]
}
]
},
"id": "Microsoft.KeyVault/providers/Microsoft.Authorization/roleDefinitions/00000000-0000-0000-0000-000000000000",
"type": "Microsoft.Authorization/roleDefinitions",
"name": "00000000-0000-0000-0000-000000000000"
}
Definitions
| Error |
The key vault server error. |
|
Key |
The key vault error exception. |
| Permission |
Role definition permissions. |
|
Role |
Role definition. |
|
Role |
The role definition type. |
|
Role |
The role type. |
Error
The key vault server error.
| Name | Type | Description |
|---|---|---|
| code |
|
The error code. |
| innererror |
The key vault server error. |
|
| message |
|
The error message. |
KeyVaultError
The key vault error exception.
| Name | Type | Description |
|---|---|---|
| error |
The key vault server error. |
Permission
Role definition permissions.
| Name | Type | Description |
|---|---|---|
| actions |
|
Action permissions that are granted. |
| dataActions |
|
Data action permissions that are granted. |
| notActions |
|
Action permissions that are excluded but not denied. They may be granted by other role definitions assigned to a principal. |
| notDataActions |
|
Data action permissions that are excluded but not denied. They may be granted by other role definitions assigned to a principal. |
RoleDefinition
Role definition.
| Name | Type | Description |
|---|---|---|
| id |
|
The role definition ID. |
| name |
|
The role definition name. |
| properties.assignableScopes |
|
Role definition assignable scopes. |
| properties.description |
|
The role definition description. |
| properties.permissions |
Role definition permissions. |
|
| properties.roleName |
|
The role name. |
| properties.type |
The role type. |
|
| type |
The role definition type. |
RoleDefinitionType
The role definition type.
| Name | Type | Description |
|---|---|---|
| Microsoft.Authorization/roleDefinitions |
|
RoleType
The role type.
| Name | Type | Description |
|---|---|---|
| AKVBuiltInRole |
|
Built in role. |
| CustomRole |
|
Custom role. |